# Contribution Guidelines

Please note that this project is released with a [Contributor Code of Conduct](CODE_OF_CONDUCT.md). By participating in this project you agree to abide by its terms.

Please ensure your pull request adheres to the following guidelines:

- Search previous suggestions before making a new one, as yours may be a duplicate.
- Suggested additions should be related to Wagtail.
- Suggested packages should be tested and documented.
- Make an individual pull request for each suggestion.
- Use the following format: `[package](link) - Description.`
- Additions should be added to the bottom of the relevant category.
- New categories, or improvements to the existing categorization are welcome.
- Link to the GitHub repo, not pypi.
- Keep descriptions short and simple, but descriptive.
- Start the description with a capital and end with a full stop/period.
- Check your spelling and grammar.
- Wagtail should be referred to as "Wagtail" instead of "Wagtail CMS", with a capital W.
- Make sure your text editor is set to remove trailing whitespace.
- The pull request should have a useful title and include a link to the package and why it should be included.

Thank you for your suggestions!

Once you submit the pull request, the links will be checked by [awesome_bot](https://github.com/dkhamsing/awesome_bot) via [our Travis build](https://travis-ci.org/springload/awesome-wagtail).

### Spreading the word

If you want to help spread the word about this list, consider adding a mention of it in your project's README: `*Check out [Awesome Wagtail](https://github.com/springload/awesome-wagtail) for more awesome packages and resources from the Wagtail community.*`

### Updating your PR

A lot of times, making a PR adhere to the standards above can be difficult. If the maintainers notice anything that we'd like changed, we'll ask you to edit your PR before we merge it. If you're not sure how to do that, [here is a guide](https://github.com/RichardLitt/docs/blob/master/amending-a-commit-guide.md) on the different ways you can update your PR so that we can merge it.

### Accepting a PR

- Ensure the pull request adheres to the [contribution guidelines](#contribution-guidelines).
- When merging the PR, consider [suggesting the addition of the list](#spreading-the-word).

### Reusing the content

The content of this list is published as an API hosted on [GitHub Pages](https://pages.github.com/): [https://springload.github.io/awesome-wagtail/api/v1/readme.json](https://springload.github.io/awesome-wagtail/api/v1/readme.json).

Otherwise, the README content can also be fetched with [RawGit](https://rawgit.com/): [https://rawgit.com/springload/awesome-wagtail/master/README.md](https://rawgit.com/springload/awesome-wagtail/master/README.md).
